commit:     00fe61ef5cf5e2622710a606ef99707afd59b905
Author:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 13:38:45 2017 +0000
Commit:     Jonathan Vasquez <fearedbliss <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 14:12:48 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00fe61ef

sys-kernel/spl: version bump to 0.7.1

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 sys-kernel/spl/Manifest         |   1 +
 sys-kernel/spl/spl-0.7.1.ebuild | 110 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/sys-kernel/spl/Manifest b/sys-kernel/spl/Manifest
index cd5740f9938..ad24870d8ad 100644
--- a/sys-kernel/spl/Manifest
+++ b/sys-kernel/spl/Manifest
@@ -18,3 +18,4 @@ DIST spl-0.6.5.7.tar.gz 558570 SHA256 
dc8690e407183eeb7a6af0e7692d6e0a1cd323d51d
 DIST spl-0.6.5.8.tar.gz 553270 SHA256 
2d22117106782222d2b7da88cc657b7b9c44d281b1cc74d60761e52d33ab1155 SHA512 
4078bcc96c112f12129918583400d927d7dd56686c470dd9cb8fc6ba641dcb5afb044c95de02ac397909bb90f4c50d0aada91177ffed810883b5889610d8b0b4
 WHIRLPOOL 
57b42a93d74348352e367f7d0e08189cd1d443e74c711d8147c35e1bc4264df1a742e231b381ffcc32aaa755cb732c7e062653145fb929872b6835caa2afda27
 DIST spl-0.6.5.9.tar.gz 594271 SHA256 
d9ccd24786bb5a8616748a93a3c0b1270aa891175e2f5d726195b416f5c03b9c SHA512 
356db95fcc93eb4ee298efc1ac25d38743572c539fc10b2d1533af861b4fd60804e61c3fb9f9bbad3d7a51cf123113b5b0bcbd49eba1bad7b1d8823d206022e8
 WHIRLPOOL 
6565a4939efaeba0cff75496ce9e8ea84b55da97fe47457ca33bcaf07aaa93a27dd410a9264b29539e65475029c0f0c612bc93b9fee4f97c7d6db9c92aab6a34
 DIST spl-0.7.0.tar.gz 608150 SHA256 
567f461435f99f862efb1b740ed0876b52a2a539aafad6e5372a84a06a5da4d3 SHA512 
a01798fad4f46788cf91d97699837526d5a33e35dcd46247a9e00747d3d439b949113eb42c8d9fe9cbc4a7b1ee645a5ac09eb764db82a2a07eaddbbb9605d11c
 WHIRLPOOL 
7087089423c3515945af9de27879b8f009cf39ee3840400bde2aebd967bfe2be41d513ca6368774ad06d1871c81c3abd50f442d5ea9602da456cbe6a3e8cecd4
+DIST spl-0.7.1.tar.gz 547932 SHA256 
e6a83dc50bc83a5ce6f20238da16fb941ab6090c419be8af8fc9223210f637fd SHA512 
1edd0d21f6bc24c3c1295a3e1002ccc03954b1a8657f34050ca9992aac33eb2caa4356c92c74b1c1767ce69f67f3463bcab749b411b2676b5ed16c6ca838e0fe
 WHIRLPOOL 
8facc1c8bc10481a09b92d16f7c4e3c6612749d55014c28444d0b62382940c84857f2f4c165b45f55aa917172a562dcc2897bc8bc5b8045793e9ebe96345fe5e

diff --git a/sys-kernel/spl/spl-0.7.1.ebuild b/sys-kernel/spl/spl-0.7.1.ebuild
new file mode 100644
index 00000000000..1a3984b06ec
--- /dev/null
+++ b/sys-kernel/spl/spl-0.7.1.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="5"
+
+if [[ ${PV} == "9999" ]] ; then
+       AUTOTOOLS_AUTORECONF="1"
+       EGIT_REPO_URI="https://github.com/zfsonlinux/${PN}.git";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/zfsonlinux/zfs/releases/download/zfs-${PV}/${P}.tar.gz";
+       KEYWORDS=" ~amd64"
+fi
+
+inherit flag-o-matic linux-info linux-mod autotools-utils
+
+DESCRIPTION="The Solaris Porting Layer is a Linux kernel module which provides 
many of the Solaris kernel APIs"
+HOMEPAGE="http://zfsonlinux.org/";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="custom-cflags debug"
+RESTRICT="debug? ( strip ) test"
+
+COMMON_DEPEND="dev-lang/perl
+       virtual/awk"
+
+DEPEND="${COMMON_DEPEND}"
+
+RDEPEND="${COMMON_DEPEND}
+       !sys-devel/spl"
+
+AT_M4DIR="config"
+AUTOTOOLS_IN_SOURCE_BUILD="1"
+DOCS=( AUTHORS DISCLAIMER )
+
+pkg_setup() {
+       linux-info_pkg_setup
+       CONFIG_CHECK="
+               !DEBUG_LOCK_ALLOC
+               MODULES
+               KALLSYMS
+               !PAX_KERNEXEC_PLUGIN_METHOD_OR
+               !PAX_SIZE_OVERFLOW
+               ZLIB_DEFLATE
+               ZLIB_INFLATE
+       "
+
+       use debug && CONFIG_CHECK="${CONFIG_CHECK}
+               FRAME_POINTER
+               DEBUG_INFO
+               !DEBUG_INFO_REDUCED
+       "
+
+       kernel_is ge 2 6 32 || die "Linux 2.6.32 or newer required"
+
+       [ ${PV} != "9999" ] && \
+               { kernel_is le 4 12 || die "Linux 4.12 is the latest supported 
version."; }
+
+       check_extra_config
+}
+
+src_prepare() {
+       # Workaround for hard coded path
+       sed -i "s|/sbin/lsmod|/bin/lsmod|" "${S}/scripts/check.sh" || \
+               die "Cannot patch check.sh"
+
+       # splat is unnecessary unless we are debugging
+       use debug || { sed -e 's/^subdir-m += splat$//' -i 
"${S}/module/Makefile.in" || die ; }
+
+       # Set module revision number
+       [ ${PV} != "9999" ] && \
+               { sed -i "s/\(Release:\)\(.*\)1/\1\2${PR}-gentoo/" "${S}/META" 
|| die "Could not set Gentoo release"; }
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       use custom-cflags || strip-flags
+       filter-ldflags -Wl,*
+
+       set_arch_to_kernel
+       local myeconfargs=(
+               --bindir="${EPREFIX}/bin"
+               --sbindir="${EPREFIX}/sbin"
+               --with-config=all
+               --with-linux="${KV_DIR}"
+               --with-linux-obj="${KV_OUT_DIR}"
+               $(use_enable debug)
+       )
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install 
INSTALL_MOD_PATH="${INSTALL_MOD_PATH:-$EROOT}"
+}
+
+pkg_postinst() {
+       linux-mod_pkg_postinst
+
+       # Remove old modules
+       if [ -d "${EROOT}lib/modules/${KV_FULL}/addon/spl" ]
+       then
+               ewarn "${PN} now installs modules in 
${EROOT}lib/modules/${KV_FULL}/extra/spl"
+               ewarn "Old modules were detected in 
${EROOT}lib/modules/${KV_FULL}/addon/spl"
+               ewarn "Automatically removing old modules to avoid problems."
+               rm -r "${EROOT}lib/modules/${KV_FULL}/addon/spl" || die "Cannot 
remove modules"
+               rmdir --ignore-fail-on-non-empty 
"${EROOT}lib/modules/${KV_FULL}/addon"
+       fi
+}

Reply via email to